# Retrieve status information for all message queues

Lists status information for all message queues, including statistics and links to detailed queue status resources.

Endpoint: GET /api/status/queues
Version: v1.0
Security: OAuth2

## Response 200 fields (application/json:):

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.name` (string,null)
    Name of the queue.

  - `items.parentqueuename` (string,null)
    Name of the parent queue this queue consumes messages from.

  - `items.in_queue_type` (string,null)
    Type of the in-queue of this subscription.

  - `items.pattern` (string,null)
    Pattern for message digestion.

  - `items.location` (string,null)
    Location of the queue.

  - `items.in` (integer)
    Number of messages in the in state.

  - `items.wip` (integer)
    Number of messages in the wip state.

  - `items.in_detail` (object)
    Represents a link to a resource.

  - `items.in_detail.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.in_detail.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.in_detail.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.in_detail.templated` (boolean)
    Whether the contained URI is a template.

  - `items.wip_detail` (object)
    Represents a link to a resource.

  - `items.complete_detail` (object)
    Represents a link to a resource.

  - `items.deadletter_detail` (object)
    Represents a link to a resource.

  - `items.complete` (integer)
    Number of messages in the complete state.

  - `items.deadletter` (integer)
    Number of messages in the deadletter state.

  - `items.self` (object)
    Represents a link to a resource.

  - `total_items` (integer,null)
    Gets or sets the total number of items.

  - `returned_items` (integer,null)
    Gets or sets the number of returned items.

  - `offset` (integer,null)
    Gets or sets the offset of the items.

  - `next` (object)
    Represents a link to a resource.

  - `previous` (object)
    Represents a link to a resource.

  - `identifier` (string,null)
    Gets or sets the identifier of the resource.

  - `self` (object)
    Represents a link to a resource.


## Response 401 fields
